Restart Streaming Endpoint

posthttps://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name/restart

Restarts the streaming endpoint without service interruption. This operation has the effect of purging cache data in the streaming endpoint.

RBAC Capability Required: ams.streamingendpoint.restart

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
endpoint_namestringRequired

Response

200OK. The request has succeeded.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…